Skip to content

Servers

https://consent-service-dev.odd.works/api/

Health

Operations


Health check endpoint

GET
/health

Check if the service is healthy and running

Responses

Service is healthy

application/json
JSON
{
  
"status": "string",
  
"success": true
}

Playground

Samples


Get latest published consent template version

GET
/v1/consent-templates/{template_code}/latest

Get the latest published consent template version

or
SystemApiKey
Type
API Key (header: x-system-api-key)

Path Parameters

template_code*

template code

Type
string
Required

data

application/json
JSON
{
  
"data": {
  
  
"allow_reconsent": true,
  
  
"consent_version_id": "123e4567-e89b-12d3-a456-426614174010",
  
  
"content_html": "<html>...</html>",
  
  
"file_url": "https://example.com/content.html",
  
  
"tag": "1.0.0",
  
  
"version": 1
  
}
}
Variables
Key
Value

Get latest pending consent template version for customer

GET
/v1/customers/{customer_id}/consents/templates/{template_code}/pending

Get the latest pending consent template version for a specific customer and template code

Authorizations

or
SystemApiKey
Type
API Key (header: x-system-api-key)

Parameters

Path Parameters

customer_id*

customer id (example: 123e4567-e89b-12d3-a456-426614174030)

Type
string
Required
template_code*

template code (example: demo_mobile_kyc)

Type
string
Required

Responses

data

application/json
JSON
{
  
"data": {
  
  
"accepted": true,
  
  
"consent_version": {
  
  
  
"allow_reconsent": true,
  
  
  
"consent_version_id": "123e4567-e89b-12d3-a456-426614174010",
  
  
  
"content_html": "<html>...</html>",
  
  
  
"file_url": "https://example.com/content.html",
  
  
  
"tag": "1.0.0",
  
  
  
"version": 1
  
  
}
  
}
}

Playground

Variables
Key
Value

Samples


Submit consent decision

POST
/v1/customers/{customer_id}/consents/decisions

Submit a consent decision for a specific customer and consent version id

Authorizations

or
SystemApiKey
Type
API Key (header: x-system-api-key)

Parameters

Path Parameters

customer_id*

customer id (example: 123e4567-e89b-12d3-a456-426614174030)

Type
string
Required

Request Body

application/json
JSON
{
  
"consent_version_id": "123e4567-e89b-12d3-a456-426614174010",
  
"decision": "given"
}

Responses

data

application/json
JSON
{
  
"data": {
  
  
"consent_version_id": "123e4567-e89b-12d3-a456-426614174010",
  
  
"decision": "given",
  
  
"template_code": "demo_mobile_kyc"
  
}
}

Playground

Variables
Key
Value
Body

Samples


Powered by VitePress OpenAPI